Models
Start a pending upload
Initiates a new pending upload or retrieves an existing one for the specified model version.
Параметры запроса
api-version
string
обязательно
The API version to use for this operation.
Параметры заголовка
Foundry-Features
enum
обязательно
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Параметры пути
name
string
обязательно
Name of the model.
version
string
обязательно
Version of the model.
Текст запроса
The pending upload request request body.
pendingUploadId
string
If PendingUploadId is not provided, a random GUID will be used.
connectionName
string
Azure Storage Account connection name to use for generating temporary SAS token
pendingUploadType
enum
обязательно
The type of pending upload. Only TemporaryBlobReference is supported for models.
Ответы
The request has succeeded.
Текст
blobReference
BlobReference
обязательно
Blob reference details.
blobUri
string
обязательно
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
обязательно
ARM ID of the storage account to use.
credential
SasCredential
обязательно
SAS Credential definition
sasUri
string
обязательно
SAS uri
type
enum
обязательно
Type of credential
pendingUploadId
string
обязательно
ID for this upload request.
version
string
Version of asset to be created if user did not specify version when initially creating upload
pendingUploadType
enum
обязательно
The type of pending upload. Only TemporaryBlobReference is supported for models.
Запрос
POST /models/{name}/versions/{version}/startPendingUpload HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json